summarylogtreecommitdiffstats
path: root/service
diff options
context:
space:
mode:
authorEduard Wirch2017-09-15 16:21:54 +0200
committerEduard Wirch2017-09-18 10:49:19 +0200
commit5171559ccffad5021a1b96fe2fda51bc64b33366 (patch)
tree22ebb4c1f624b25bd375737e7dcb52b4cc02ad8a /service
parentc2b54cfbd9c0fab24e1616f80c5da9cd32e164f1 (diff)
downloadaur-5171559ccffad5021a1b96fe2fda51bc64b33366.tar.gz
Update to 5.20.606.3946 and fix Arch incompatibility
- Dependencies sed and awk are used by CUPS filter usr/lib/cups/filter/XeroxQScript. - systemctl wrapper: xeroxprtmgr invokes "service cups restart". Arch uses systemd, there is no 'service' command. A 'service' script and a xeroxprtmgr wrapper try to work around this. - XeroxQScript.patch: the original filter failes to respect RequestID and Copies. - xerox-prtdrv-xhost-permissions.desktop: autostart entry from postinstall script to extend xhost permissions
Diffstat (limited to 'service')
-rwxr-xr-xservice23
1 files changed, 23 insertions, 0 deletions
diff --git a/service b/service
new file mode 100755
index 000000000000..fdb66f164fc4
--- /dev/null
+++ b/service
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#
+# wrapper around systemctl used by Xerox driver.
+#
+# Xerox's xeroxprtmgr invokes 'service cups restart', which will fail on systemd systems. This script "translates" the
+# service invocation to a systemctl invocation.
+#
+
+set -e
+
+SERVICE=$1
+COMMAND=$2
+
+if [ $SERVICE == "cups" ]; then
+ SERVICE=org.cups.cupsd.service
+else
+ SERVICE=$SERVICE.service
+fi
+
+echo "systemctl $COMMAND $SERVICE"
+
+systemctl $COMMAND $SERVICE